libmspub::MSPUBCollector Class Reference

`#include <MSPUBCollector.h>`

## Classes

struct | PageInfo

## Public Types

typedef std::list< ContentChunkReference >::const_iterator | ccr_iterator_t

## Public Member Functions

| MSPUBCollector (librevenge::RVNGDrawingInterface *painter)
virtual | ~MSPUBCollector ()
void | collectMetaData (const librevenge::RVNGPropertyList &metaData)
bool | addPage (unsigned seqNum)
bool | addTextString (const std::vector< TextParagraph > &str, unsigned id)
void | addTextShape (unsigned stringId, unsigned seqNum)
bool | addImage (unsigned index, ImgType type, librevenge::RVNGBinaryData img)
void | setBorderImageOffset (unsigned index, unsigned offset)
librevenge::RVNGBinaryData * | addBorderImage (ImgType type, unsigned borderArtIndex)
void | setShapePage (unsigned seqNum, unsigned pageSeqNum)
void | setNextPage (unsigned seqNum)
void | setShapeType (unsigned seqNum, ShapeType type)
void | setShapeCropType (unsigned seqNum, ShapeType cropType)
void | setShapePictureRecolor (unsigned seqNum, const ColorReference &recolor)
void | setShapePictureBrightness (unsigned seqNum, int brightness)
void | setShapePictureContrast (unsigned seqNum, int contrast)
void | setShapeTableInfo (unsigned seqNum, const TableInfo &ti)
void | setShapeBorderImageId (unsigned seqNum, unsigned borderImageId)
void | setShapeCoordinatesInEmu (unsigned seqNum, int xs, int ys, int xe, int ye)
void | setShapeImgIndex (unsigned seqNum, unsigned index)
void | setShapeFill (unsigned seqNum, std::shared_ptr< Fill > fill, bool skipIfNotBg)
void | setShapeDash (unsigned seqNum, const Dash &dash)
void | setAdjustValue (unsigned seqNum, unsigned index, int adjust)
void | setShapeRotation (unsigned seqNum, double rotation)
void | setShapeFlip (unsigned, bool, bool)
void | setShapeMargins (unsigned seqNum, unsigned left, unsigned top, unsigned right, unsigned bottom)
void | setShapeBorderPosition (unsigned seqNum, BorderPosition pos)
void | setShapeCoordinatesRotated90 (unsigned seqNum)
void | setShapeCustomPath (unsigned seqNum, const DynamicCustomShape &shape)
void | setShapeClipPath (unsigned seqNum, const std::vector< libmspub::Vertex > &clip)
void | setShapeVerticalTextAlign (unsigned seqNum, VerticalAlign va)
void | designateMasterPage (unsigned seqNum)
void | setMasterPage (unsigned pageSeqNum, unsigned masterSeqNum)
void | setShapeStretchBorderArt (unsigned seqNum)
void | setShapeShadow (unsigned seqNum, const Shadow &shadow)
void | addEOTFont (const librevenge::RVNGString &name, const librevenge::RVNGBinaryData &data)
void | beginGroup ()
bool | endGroup ()
void | setShapeLineBackColor (unsigned seqNum, ColorReference backColor)
void | addShapeLine (unsigned seqNum, Line line)
void | setShapeOrder (unsigned seqNum)
void | setPageBgShape (unsigned pageSeqNum, unsigned seqNum)
void | setWidthInEmu (unsigned long)
void | setHeightInEmu (unsigned long)
void | setShapeNumColumns (unsigned seqNum, unsigned numColumns)
void | setShapeColumnSpacing (unsigned seqNum, unsigned spacing)
void | setShapeBeginArrow (unsigned seqNum, const Arrow &arrow)
void | setShapeEndArrow (unsigned seqNum, const Arrow &arrow)
void | addTextColor (ColorReference c)
void | addFont (std::vector< unsigned char > name)
void | addDefaultCharacterStyle (const CharacterStyle &style)
void | addDefaultParagraphStyle (const ParagraphStyle &style)
void | addPaletteColor (Color)
bool | setCurrentGroupSeqNum (unsigned seqNum)
void | useEncodingHeuristic ()
void | setTableCellTextEnds (unsigned textId, const std::vector< unsigned > &ends)
void | setTextStringOffset (unsigned textId, unsigned offset)
bool | go ()
bool | hasPage (unsigned seqNum) const

## Static Public Member Functions

static librevenge::RVNGString | getColorString (const Color &)

## Private Member Functions

| MSPUBCollector (const MSPUBCollector &)
MSPUBCollector & | operator= (const MSPUBCollector &)
std::vector< int > | getShapeAdjustValues (const ShapeInfo &info) const
boost::optional< unsigned > | getMasterPageSeqNum (unsigned pageSeqNum) const
void | setRectCoordProps (Coordinate, librevenge::RVNGPropertyList *) const
boost::optional< std::vector< libmspub::TextParagraph > > | getShapeText (const ShapeInfo &info) const
void | setupShapeStructures (ShapeGroupElement &elt)
void | addBlackToPaletteIfNecessary ()
void | assignShapesToPages ()
void | writePage (unsigned pageSeqNum) const
void | writePageShapes (unsigned pageSeqNum) const
void | writePageBackground (unsigned pageSeqNum) const
void | writeImage (double x, double y, double height, double width, ImgType type, const librevenge::RVNGBinaryData &blob, boost::optional< Color > oneBitColor) const
bool | pageIsMaster (unsigned pageSeqNum) const
std::function< void(void)> | paintShape (const ShapeInfo &info, const Coordinate &relativeTo, const VectorTransformation2D &foldedTransform, bool isGroup, const VectorTransformation2D &thisTransform) const
double | getCalculationValue (const ShapeInfo &info, unsigned index, bool recursiveEntry, const std::vector< int > &adjustValues) const
librevenge::RVNGPropertyList | getCharStyleProps (const CharacterStyle &, boost::optional< unsigned > defaultCharStyleIndex) const
librevenge::RVNGPropertyList | getParaStyleProps (const ParagraphStyle &, boost::optional< unsigned > defaultParaStyleIndex) const
double | getSpecialValue (const ShapeInfo &info, const CustomShape &shape, int arg, const std::vector< int > &adjustValues) const
void | ponderStringEncoding (const std::vector< TextParagraph > &str)
const char * | getCalculatedEncoding () const

## Private Attributes

librevenge::RVNGDrawingInterface * | m_painter
std::list< ContentChunkReference > | m_contentChunkReferences
double | m_width
double | m_height
bool | m_widthSet
bool | m_heightSet
unsigned short | m_numPages
std::map< unsigned, std::vector< TextParagraph > > | m_textStringsById
std::map< unsigned, PageInfo > | m_pagesBySeqNum
std::vector< std::pair< ImgType, librevenge::RVNGBinaryData > > | m_images
std::vector< BorderArtInfo > | m_borderImages
std::vector< ColorReference > | m_textColors
std::vector< std::vector< unsigned char > > | m_fonts
std::vector< CharacterStyle > | m_defaultCharStyles
std::vector< ParagraphStyle > | m_defaultParaStyles
std::map< unsigned, ShapeType > | m_shapeTypesBySeqNum
std::vector< Color > | m_paletteColors
std::vector< unsigned > | m_shapeSeqNumsOrdered
std::map< unsigned, unsigned > | m_pageSeqNumsByShapeSeqNum
std::map< unsigned, unsigned > | m_bgShapeSeqNumsByPageSeqNum
std::set< unsigned > | m_skipIfNotBgSeqNums
std::shared_ptr< ShapeGroupElement > | m_currentShapeGroup
std::vector< std::shared_ptr< ShapeGroupElement > > | m_topLevelShapes
std::map< unsigned, std::shared_ptr< ShapeGroupElement > > | m_groupsBySeqNum
std::list< EmbeddedFontInfo > | m_embeddedFonts
std::map< unsigned, ShapeInfo > | m_shapeInfosBySeqNum
std::set< unsigned > | m_masterPages
std::set< unsigned > | m_shapesWithCoordinatesRotated90
std::map< unsigned, unsigned > | m_masterPagesByPageSeqNum
std::map< unsigned, std::vector< unsigned > > | m_tableCellTextEndsByTextId
std::map< unsigned, unsigned > | m_stringOffsetsByTextId
std::vector< bool > | m_calculationValuesSeen
std::vector< unsigned > | m_pageSeqNumsOrdered
bool | m_encodingHeuristic
std::vector< unsigned char > | m_allText
boost::optional< const char * > | m_calculatedEncoding
librevenge::RVNGPropertyList | m_metaData

## Friends

class | Fill
class | ImgFill
class | SolidFill
class | GradientFill
class | PatternFill

## Member Typedef Documentation

## ccr_iterator_t

typedef std::list<ContentChunkReference>::const_iterator libmspub::MSPUBCollector::ccr_iterator_t

## Constructor & Destructor Documentation

## MSPUBCollector() [1/2]

libmspub::MSPUBCollector::MSPUBCollector | ( | librevenge::RVNGDrawingInterface * | painter | ) |

Referenced by MSPUBCollector(), and operator=().

## ~MSPUBCollector()

libmspub::MSPUBCollector::~MSPUBCollector | ( |  | ) |

virtual

## MSPUBCollector() [2/2]

libmspub::MSPUBCollector::MSPUBCollector | ( | const MSPUBCollector & |  | ) |

private

## Member Function Documentation

## addBlackToPaletteIfNecessary()

void libmspub::MSPUBCollector::addBlackToPaletteIfNecessary | ( |  | ) |

private

Referenced by go().

## addBorderImage()

librevenge::RVNGBinaryData * libmspub::MSPUBCollector::addBorderImage | ( | ImgType | type,
|  | unsigned | borderArtIndex )

## addDefaultCharacterStyle()

void libmspub::MSPUBCollector::addDefaultCharacterStyle | ( | const CharacterStyle & | style | ) |

## addDefaultParagraphStyle()

void libmspub::MSPUBCollector::addDefaultParagraphStyle | ( | const ParagraphStyle & | style | ) |

## addEOTFont()

void libmspub::MSPUBCollector::addEOTFont | ( | const librevenge::RVNGString & | name,
|  | const librevenge::RVNGBinaryData & | data )

## addFont()

void libmspub::MSPUBCollector::addFont | ( | std::vector< unsigned char > | name | ) |

## addImage()

bool libmspub::MSPUBCollector::addImage | ( | unsigned | index,
|  | ImgType | type,
|  | librevenge::RVNGBinaryData | img )

## addPage()

bool libmspub::MSPUBCollector::addPage | ( | unsigned | seqNum | ) |

## addPaletteColor()

void libmspub::MSPUBCollector::addPaletteColor | ( | Color | c | ) |

## addShapeLine()

void libmspub::MSPUBCollector::addShapeLine | ( | unsigned | seqNum,
|  | Line | line )

## addTextColor()

void libmspub::MSPUBCollector::addTextColor | ( | ColorReference | c | ) |

## addTextShape()

void libmspub::MSPUBCollector::addTextShape | ( | unsigned | stringId,
|  | unsigned | seqNum )

## addTextString()

bool libmspub::MSPUBCollector::addTextString | ( | const std::vector< TextParagraph > & | str,
|  | unsigned | id )

## assignShapesToPages()

void libmspub::MSPUBCollector::assignShapesToPages | ( |  | ) |

private

Referenced by go().

## beginGroup()

void libmspub::MSPUBCollector::beginGroup | ( |  | ) |

## collectMetaData()

void libmspub::MSPUBCollector::collectMetaData | ( | const librevenge::RVNGPropertyList & | metaData | ) |

## designateMasterPage()

void libmspub::MSPUBCollector::designateMasterPage | ( | unsigned | seqNum | ) |

## endGroup()

bool libmspub::MSPUBCollector::endGroup | ( |  | ) |

## getCalculatedEncoding()

const char * libmspub::MSPUBCollector::getCalculatedEncoding | ( |  | ) | const

private

Referenced by getCharStyleProps(), and paintShape().

## getCalculationValue()

double libmspub::MSPUBCollector::getCalculationValue | ( | const ShapeInfo & | info,
|  | unsigned | index,
|  | bool | recursiveEntry,
|  | const std::vector< int > & | adjustValues ) const

private

Referenced by getSpecialValue(), and paintShape().

## getCharStyleProps()

librevenge::RVNGPropertyList libmspub::MSPUBCollector::getCharStyleProps | ( | const CharacterStyle & | style,
|  | boost::optional< unsigned > | defaultCharStyleIndex ) const

private

Referenced by paintShape().

## getColorString()

librevenge::RVNGString libmspub::MSPUBCollector::getColorString | ( | const Color & | color | ) |

static

Referenced by getCharStyleProps(), libmspub::GradientFill::getProperties(), libmspub::SolidFill::getProperties(), paintShape(), and libmspub::writeCustomShape().

## getMasterPageSeqNum()

boost::optional< unsigned > libmspub::MSPUBCollector::getMasterPageSeqNum | ( | unsigned | pageSeqNum | ) | const

private

Referenced by writePage().

## getParaStyleProps()

librevenge::RVNGPropertyList libmspub::MSPUBCollector::getParaStyleProps | ( | const ParagraphStyle & | style,
|  | boost::optional< unsigned > | defaultParaStyleIndex ) const

private

Referenced by paintShape().

## getShapeAdjustValues()

std::vector< int > libmspub::MSPUBCollector::getShapeAdjustValues | ( | const ShapeInfo & | info | ) | const

private

Referenced by paintShape().

## getShapeText()

boost::optional< std::vector< TextParagraph > > libmspub::MSPUBCollector::getShapeText | ( | const ShapeInfo & | info | ) | const

private

Referenced by paintShape().

## getSpecialValue()

double libmspub::MSPUBCollector::getSpecialValue | ( | const ShapeInfo & | info,
|  | const CustomShape & | shape,
|  | int | arg,
|  | const std::vector< int > & | adjustValues ) const

private

Referenced by getCalculationValue().

## go()

bool libmspub::MSPUBCollector::go | ( |  | ) |

## hasPage()

bool libmspub::MSPUBCollector::hasPage | ( | unsigned | seqNum | ) | const

## operator=()

MSPUBCollector & libmspub::MSPUBCollector::operator= | ( | const MSPUBCollector & |  | ) |

private

## pageIsMaster()

bool libmspub::MSPUBCollector::pageIsMaster | ( | unsigned | pageSeqNum | ) | const

private

Referenced by go().

## paintShape()

std::function< void(void)> libmspub::MSPUBCollector::paintShape | ( | const ShapeInfo & | info,
|  | const Coordinate & | relativeTo,
|  | const VectorTransformation2D & | foldedTransform,
|  | bool | isGroup,
|  | const VectorTransformation2D & | thisTransform ) const

private

Referenced by writePageBackground(), and writePageShapes().

## ponderStringEncoding()

void libmspub::MSPUBCollector::ponderStringEncoding | ( | const std::vector< TextParagraph > & | str | ) |

private

Referenced by addTextString().

## setAdjustValue()

void libmspub::MSPUBCollector::setAdjustValue | ( | unsigned | seqNum,
|  | unsigned | index,
|  | int | adjust )

## setBorderImageOffset()

void libmspub::MSPUBCollector::setBorderImageOffset | ( | unsigned | index,
|  | unsigned | offset )

## setCurrentGroupSeqNum()

bool libmspub::MSPUBCollector::setCurrentGroupSeqNum | ( | unsigned | seqNum | ) |

## setHeightInEmu()

void libmspub::MSPUBCollector::setHeightInEmu | ( | unsigned long | heightInEmu | ) |

## setMasterPage()

void libmspub::MSPUBCollector::setMasterPage | ( | unsigned | pageSeqNum,
|  | unsigned | masterSeqNum )

## setNextPage()

void libmspub::MSPUBCollector::setNextPage | ( | unsigned | seqNum | ) |

## setPageBgShape()

void libmspub::MSPUBCollector::setPageBgShape | ( | unsigned | pageSeqNum,
|  | unsigned | seqNum )

## setRectCoordProps()

void libmspub::MSPUBCollector::setRectCoordProps | ( | Coordinate | coord,
|  | librevenge::RVNGPropertyList * | props ) const

private

Referenced by paintShape().

## setShapeBeginArrow()

void libmspub::MSPUBCollector::setShapeBeginArrow | ( | unsigned | seqNum,
|  | const Arrow & | arrow )

## setShapeBorderImageId()

void libmspub::MSPUBCollector::setShapeBorderImageId | ( | unsigned | seqNum,
|  | unsigned | borderImageId )

## setShapeBorderPosition()

void libmspub::MSPUBCollector::setShapeBorderPosition | ( | unsigned | seqNum,
|  | BorderPosition | pos )

## setShapeClipPath()

void libmspub::MSPUBCollector::setShapeClipPath | ( | unsigned | seqNum,
|  | const std::vector< libmspub::Vertex > & | clip )

## setShapeColumnSpacing()

void libmspub::MSPUBCollector::setShapeColumnSpacing | ( | unsigned | seqNum,
|  | unsigned | spacing )

## setShapeCoordinatesInEmu()

void libmspub::MSPUBCollector::setShapeCoordinatesInEmu | ( | unsigned | seqNum,
|  | int | xs,
|  | int | ys,
|  | int | xe,
|  | int | ye )

## setShapeCoordinatesRotated90()

void libmspub::MSPUBCollector::setShapeCoordinatesRotated90 | ( | unsigned | seqNum | ) |

## setShapeCropType()

void libmspub::MSPUBCollector::setShapeCropType | ( | unsigned | seqNum,
|  | ShapeType | cropType )

## setShapeCustomPath()

void libmspub::MSPUBCollector::setShapeCustomPath | ( | unsigned | seqNum,
|  | const DynamicCustomShape & | shape )

## setShapeDash()

void libmspub::MSPUBCollector::setShapeDash | ( | unsigned | seqNum,
|  | const Dash & | dash )

## setShapeEndArrow()

void libmspub::MSPUBCollector::setShapeEndArrow | ( | unsigned | seqNum,
|  | const Arrow & | arrow )

## setShapeFill()

void libmspub::MSPUBCollector::setShapeFill | ( | unsigned | seqNum,
|  | std::shared_ptr< Fill > | fill,
|  | bool | skipIfNotBg )

## setShapeFlip()

void libmspub::MSPUBCollector::setShapeFlip | ( | unsigned | seqNum,
|  | bool | flipVertical,
|  | bool | flipHorizontal )

## setShapeImgIndex()

void libmspub::MSPUBCollector::setShapeImgIndex | ( | unsigned | seqNum,
|  | unsigned | index )

## setShapeLineBackColor()

void libmspub::MSPUBCollector::setShapeLineBackColor | ( | unsigned | seqNum,
|  | ColorReference | backColor )

## setShapeMargins()

void libmspub::MSPUBCollector::setShapeMargins | ( | unsigned | seqNum,
|  | unsigned | left,
|  | unsigned | top,
|  | unsigned | right,
|  | unsigned | bottom )

## setShapeNumColumns()

void libmspub::MSPUBCollector::setShapeNumColumns | ( | unsigned | seqNum,
|  | unsigned | numColumns )

## setShapeOrder()

void libmspub::MSPUBCollector::setShapeOrder | ( | unsigned | seqNum | ) |

## setShapePage()

void libmspub::MSPUBCollector::setShapePage | ( | unsigned | seqNum,
|  | unsigned | pageSeqNum )

## setShapePictureBrightness()

void libmspub::MSPUBCollector::setShapePictureBrightness | ( | unsigned | seqNum,
|  | int | brightness )

## setShapePictureContrast()

void libmspub::MSPUBCollector::setShapePictureContrast | ( | unsigned | seqNum,
|  | int | contrast )

## setShapePictureRecolor()

void libmspub::MSPUBCollector::setShapePictureRecolor | ( | unsigned | seqNum,
|  | const ColorReference & | recolor )

## setShapeRotation()

void libmspub::MSPUBCollector::setShapeRotation | ( | unsigned | seqNum,
|  | double | rotation )

## setShapeShadow()

void libmspub::MSPUBCollector::setShapeShadow | ( | unsigned | seqNum,
|  | const Shadow & | shadow )

## setShapeStretchBorderArt()

void libmspub::MSPUBCollector::setShapeStretchBorderArt | ( | unsigned | seqNum | ) |

## setShapeTableInfo()

void libmspub::MSPUBCollector::setShapeTableInfo | ( | unsigned | seqNum,
|  | const TableInfo & | ti )

## setShapeType()

void libmspub::MSPUBCollector::setShapeType | ( | unsigned | seqNum,
|  | ShapeType | type )

## setShapeVerticalTextAlign()

void libmspub::MSPUBCollector::setShapeVerticalTextAlign | ( | unsigned | seqNum,
|  | VerticalAlign | va )

## setTableCellTextEnds()

void libmspub::MSPUBCollector::setTableCellTextEnds | ( | unsigned | textId,
|  | const std::vector< unsigned > & | ends )

## setTextStringOffset()

void libmspub::MSPUBCollector::setTextStringOffset | ( | unsigned | textId,
|  | unsigned | offset )

## setupShapeStructures()

void libmspub::MSPUBCollector::setupShapeStructures | ( | ShapeGroupElement & | elt | ) |

private

Referenced by assignShapesToPages().

## setWidthInEmu()

void libmspub::MSPUBCollector::setWidthInEmu | ( | unsigned long | widthInEmu | ) |

## useEncodingHeuristic()

void libmspub::MSPUBCollector::useEncodingHeuristic | ( |  | ) |

## writeImage()

void libmspub::MSPUBCollector::writeImage | ( | double | x,
|  | double | y,
|  | double | height,
|  | double | width,
|  | ImgType | type,
|  | const librevenge::RVNGBinaryData & | blob,
|  | boost::optional< Color > | oneBitColor ) const

private

Referenced by paintShape().

## writePage()

void libmspub::MSPUBCollector::writePage | ( | unsigned | pageSeqNum | ) | const

private

Referenced by go().

## writePageBackground()

void libmspub::MSPUBCollector::writePageBackground | ( | unsigned | pageSeqNum | ) | const

private

Referenced by writePage().

## writePageShapes()

void libmspub::MSPUBCollector::writePageShapes | ( | unsigned | pageSeqNum | ) | const

private

Referenced by writePage().

## Friends And Related Symbol Documentation

## Fill

friend class Fill

friend

Referenced by Fill.

## GradientFill

friend class GradientFill

friend

Referenced by GradientFill.

## ImgFill

friend class ImgFill

friend

Referenced by ImgFill, and setupShapeStructures().

## PatternFill

friend class PatternFill

friend

Referenced by PatternFill.

## SolidFill

friend class SolidFill

friend

Referenced by SolidFill.

## Member Data Documentation

## m_allText

std::vector<unsigned char> libmspub::MSPUBCollector::m_allText

private

Referenced by getCalculatedEncoding(), MSPUBCollector(), and ponderStringEncoding().

## m_bgShapeSeqNumsByPageSeqNum

std::map<unsigned, unsigned> libmspub::MSPUBCollector::m_bgShapeSeqNumsByPageSeqNum

private

Referenced by MSPUBCollector(), setPageBgShape(), and writePageBackground().

## m_borderImages

std::vector<BorderArtInfo> libmspub::MSPUBCollector::m_borderImages

private

Referenced by addBorderImage(), MSPUBCollector(), paintShape(), and setBorderImageOffset().

## m_calculatedEncoding

boost::optional<const char *> libmspub::MSPUBCollector::m_calculatedEncoding

mutable private

Referenced by getCalculatedEncoding(), and MSPUBCollector().

## m_calculationValuesSeen

std::vector<bool> libmspub::MSPUBCollector::m_calculationValuesSeen

mutable private

Referenced by getCalculationValue(), and MSPUBCollector().

## m_contentChunkReferences

std::list<ContentChunkReference> libmspub::MSPUBCollector::m_contentChunkReferences

private

Referenced by MSPUBCollector().

## m_currentShapeGroup

std::shared_ptr<ShapeGroupElement> libmspub::MSPUBCollector::m_currentShapeGroup

private

Referenced by beginGroup(), endGroup(), MSPUBCollector(), setCurrentGroupSeqNum(), and setShapeOrder().

## m_defaultCharStyles

std::vector<CharacterStyle> libmspub::MSPUBCollector::m_defaultCharStyles

private

Referenced by addDefaultCharacterStyle(), getCharStyleProps(), and MSPUBCollector().

## m_defaultParaStyles

std::vector<ParagraphStyle> libmspub::MSPUBCollector::m_defaultParaStyles

private

Referenced by addDefaultParagraphStyle(), getParaStyleProps(), and MSPUBCollector().

## m_embeddedFonts

std::list<EmbeddedFontInfo> libmspub::MSPUBCollector::m_embeddedFonts

private

Referenced by addEOTFont(), go(), and MSPUBCollector().

## m_encodingHeuristic

bool libmspub::MSPUBCollector::m_encodingHeuristic

private

Referenced by addTextString(), getCalculatedEncoding(), MSPUBCollector(), and useEncodingHeuristic().

## m_fonts

std::vector<std::vector<unsigned char> > libmspub::MSPUBCollector::m_fonts

private

Referenced by addFont(), getCharStyleProps(), and MSPUBCollector().

## m_groupsBySeqNum

std::map<unsigned, std::shared_ptr<ShapeGroupElement> > libmspub::MSPUBCollector::m_groupsBySeqNum

private

Referenced by MSPUBCollector(), and setCurrentGroupSeqNum().

## m_height

double libmspub::MSPUBCollector::m_height

private

Referenced by MSPUBCollector(), paintShape(), setHeightInEmu(), setRectCoordProps(), writePage(), and writePageBackground().

## m_heightSet

bool libmspub::MSPUBCollector::m_heightSet

private

Referenced by addPage(), MSPUBCollector(), setHeightInEmu(), and writePage().

## m_images

std::vector<std::pair<ImgType, librevenge::RVNGBinaryData> > libmspub::MSPUBCollector::m_images

private

Referenced by addImage(), MSPUBCollector(), and setupShapeStructures().

## m_masterPages

std::set<unsigned> libmspub::MSPUBCollector::m_masterPages

private

Referenced by designateMasterPage(), getMasterPageSeqNum(), MSPUBCollector(), and pageIsMaster().

## m_masterPagesByPageSeqNum

std::map<unsigned, unsigned> libmspub::MSPUBCollector::m_masterPagesByPageSeqNum

private

Referenced by getMasterPageSeqNum(), MSPUBCollector(), and setMasterPage().

## m_metaData

librevenge::RVNGPropertyList libmspub::MSPUBCollector::m_metaData

private

Referenced by collectMetaData(), go(), and MSPUBCollector().

## m_numPages

unsigned short libmspub::MSPUBCollector::m_numPages

private

Referenced by MSPUBCollector().

## m_pagesBySeqNum

std::map<unsigned, PageInfo> libmspub::MSPUBCollector::m_pagesBySeqNum

private

Referenced by addPage(), assignShapesToPages(), go(), hasPage(), MSPUBCollector(), writePage(), and writePageShapes().

## m_pageSeqNumsByShapeSeqNum

std::map<unsigned, unsigned> libmspub::MSPUBCollector::m_pageSeqNumsByShapeSeqNum

private

Referenced by assignShapesToPages(), MSPUBCollector(), and setShapePage().

## m_pageSeqNumsOrdered

std::vector<unsigned> libmspub::MSPUBCollector::m_pageSeqNumsOrdered

private

Referenced by go(), MSPUBCollector(), and setNextPage().

## m_painter

librevenge::RVNGDrawingInterface* libmspub::MSPUBCollector::m_painter

private

Referenced by go(), MSPUBCollector(), paintShape(), writeImage(), and writePage().

## m_paletteColors

std::vector<Color> libmspub::MSPUBCollector::m_paletteColors

private

Referenced by addBlackToPaletteIfNecessary(), addPaletteColor(), getCharStyleProps(), MSPUBCollector(), and paintShape().

## m_shapeInfosBySeqNum

std::map<unsigned, ShapeInfo> libmspub::MSPUBCollector::m_shapeInfosBySeqNum

private

Referenced by addShapeLine(), addTextShape(), MSPUBCollector(), setAdjustValue(), setShapeBeginArrow(), setShapeBorderImageId(), setShapeBorderPosition(), setShapeClipPath(), setShapeColumnSpacing(), setShapeCoordinatesInEmu(), setShapeCropType(), setShapeCustomPath(), setShapeDash(), setShapeEndArrow(), setShapeFill(), setShapeFlip(), setShapeImgIndex(), setShapeLineBackColor(), setShapeMargins(), setShapeNumColumns(), setShapePage(), setShapePictureBrightness(), setShapePictureContrast(), setShapePictureRecolor(), setShapeRotation(), setShapeShadow(), setShapeStretchBorderArt(), setShapeTableInfo(), setShapeType(), setShapeVerticalTextAlign(), setupShapeStructures(), and writePageBackground().

## m_shapeSeqNumsOrdered

std::vector<unsigned> libmspub::MSPUBCollector::m_shapeSeqNumsOrdered

private

Referenced by MSPUBCollector().

## m_shapesWithCoordinatesRotated90

std::set<unsigned> libmspub::MSPUBCollector::m_shapesWithCoordinatesRotated90

private

Referenced by MSPUBCollector(), and setShapeCoordinatesRotated90().

## m_shapeTypesBySeqNum

std::map<unsigned, ShapeType> libmspub::MSPUBCollector::m_shapeTypesBySeqNum

private

Referenced by MSPUBCollector().

## m_skipIfNotBgSeqNums

std::set<unsigned> libmspub::MSPUBCollector::m_skipIfNotBgSeqNums

private

Referenced by MSPUBCollector(), and setShapeFill().

## m_stringOffsetsByTextId

std::map<unsigned, unsigned> libmspub::MSPUBCollector::m_stringOffsetsByTextId

private

Referenced by MSPUBCollector(), and setTextStringOffset().

## m_tableCellTextEndsByTextId

std::map<unsigned, std::vector<unsigned> > libmspub::MSPUBCollector::m_tableCellTextEndsByTextId

private

Referenced by MSPUBCollector(), paintShape(), and setTableCellTextEnds().

## m_textColors

std::vector<ColorReference> libmspub::MSPUBCollector::m_textColors

private

Referenced by addTextColor(), getCharStyleProps(), and MSPUBCollector().

## m_textStringsById

std::map<unsigned, std::vector<TextParagraph> > libmspub::MSPUBCollector::m_textStringsById

private

Referenced by addTextString(), getShapeText(), and MSPUBCollector().

## m_topLevelShapes

std::vector<std::shared_ptr<ShapeGroupElement> > libmspub::MSPUBCollector::m_topLevelShapes

private

Referenced by assignShapesToPages(), beginGroup(), MSPUBCollector(), and setShapeOrder().

## m_width

double libmspub::MSPUBCollector::m_width

private

Referenced by MSPUBCollector(), paintShape(), setRectCoordProps(), setWidthInEmu(), writePage(), and writePageBackground().

## m_widthSet

bool libmspub::MSPUBCollector::m_widthSet

private

Referenced by addPage(), MSPUBCollector(), setWidthInEmu(), and writePage().

The documentation for this class was generated from the following files:

- MSPUBCollector.h
- MSPUBCollector.cpp